- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
TopologyDescriptor Struct Reference

Descriptor for raw topology data, provided as a convenience with a corresponding Factory. It should be functionally complete and simple to use, but for more demanding situations, writing a custom Factory is likely warranted. More...

`#include <topologyDescriptor.h>`

## Classes
struct | FVarChannel

## Public Member Functions
| TopologyDescriptor ()

## Public Attributes
int | numVertices
int | numFaces
int const * | numVertsPerFace
Index const * | vertIndicesPerFace
int | numCreases
Index const * | creaseVertexIndexPairs
float const * | creaseWeights
int | numCorners
Index const * | cornerVertexIndices
float const * | cornerWeights
int | numHoles
Index const * | holeIndices
bool | isLeftHanded
int | numFVarChannels
FVarChannel const * | fvarChannels

## Detailed Description

Descriptor for raw topology data, provided as a convenience with a corresponding Factory. It should be functionally complete and simple to use, but for more demanding situations, writing a custom Factory is likely warranted.

Definition at line 46 of file topologyDescriptor.h.

## Constructor & Destructor Documentation

TopologyDescriptor | ( |  | ) |

## Member Data Documentation

Index const* cornerVertexIndices

Definition at line 59 of file topologyDescriptor.h.

float const* cornerWeights

Definition at line 60 of file topologyDescriptor.h.

Index const* creaseVertexIndexPairs

Definition at line 55 of file topologyDescriptor.h.

float const* creaseWeights

Definition at line 56 of file topologyDescriptor.h.

FVarChannel const* fvarChannels

Definition at line 79 of file topologyDescriptor.h.

Index const* holeIndices

Definition at line 63 of file topologyDescriptor.h.

bool isLeftHanded

Definition at line 65 of file topologyDescriptor.h.

int numCorners

Definition at line 58 of file topologyDescriptor.h.

int numCreases

Definition at line 54 of file topologyDescriptor.h.

int numFaces

Definition at line 48 of file topologyDescriptor.h.

int numFVarChannels

Definition at line 78 of file topologyDescriptor.h.

int numHoles

Definition at line 62 of file topologyDescriptor.h.

int numVertices

Definition at line 48 of file topologyDescriptor.h.

int const* numVertsPerFace

Definition at line 51 of file topologyDescriptor.h.

Index const* vertIndicesPerFace

Definition at line 52 of file topologyDescriptor.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyDescriptor.h